NAND_BLOCK_CHECKBAD(9)

NAME
nand_block_checkbad - [GENERIC] Check if a block is marked bad

SYNOPSIS

int nand_block_checkbad(struct mtd_info * mtd, loff_t ofs, int getchip, int allowbbt);

ARGUMENTS

mtd
    MTD device structure

ofs
    offset from device start

getchip
    0, if the chip is already selected

allowbbt
    1, if its allowed to access the bbt area

DESCRIPTION

Check, if the block is bad. Either by reading the bad block table or calling of the scan function.

AUTHOR

Thomas Gleixner <tglx@linutronix.de>
    Author.

COPYRIGHT